/*-
 * Copyright (c) 1990 The Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the University of California, Berkeley.  The name of the
 * University may not be used to endorse or promote products derived
 * from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#include <_ansi.h>
#include <stdio.h>
#include "local.h"

#ifdef _HAVE_STDC
#include <stdarg.h>
#else
#include <varargs.h>
#endif

/*
 * vscanf
 */

#define VSCANF vscanf
#define _VSCANF_R _vscanf_r

#ifndef _REENT_ONLY

int
#ifdef _HAVE_STDC
_DEFUN (VSCANF, (fmt, ap), 
    _CONST char *fmt _AND 
    va_list ap)
#else
VSCANF (fmt, ap)
    _CONST char *fmt;
    va_list ap;
#endif
{
  return __svfscanf (_stdin_r (_REENT), fmt, ap);
}

#endif /* _REENT_ONLY */

int
#ifdef _HAVE_STDC
_DEFUN (_VSCANF_R, (ptr, fmt, ap),
    struct _reent *ptr _AND 
    _CONST char *fmt _AND 
    va_list ap)
#else
_VSCANF_R (ptr, fmt, ap)
    struct _reent *ptr;
    _CONST char *fmt;
    va_list ap;
#endif
{
  return __svfscanf (_stdin_r (ptr), fmt, ap);
}

