/*-
 * Copyright (c) 1990 The Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the University of California, Berkeley.  The name of the
 * University may not be used to endorse or promote products derived
 * from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#include <_ansi.h>
#include <reent.h>
#include <stdio.h>
#include <string.h>
#ifdef _HAVE_STDC
#include <stdarg.h>
#else
#include <varargs.h>
#endif
#include "local.h"

static
_READ_WRITE_RETURN_TYPE
eofread1 (cookie, buf, len)
    _PTR cookie;
    char *buf;
    int len;
{
  return 0;
}

/*
 * vscanf
 */

#define VSSCANF vsscanf
#define _VSSCANF_R _vsscanf_r

#ifndef _REENT_ONLY

int
#ifdef _HAVE_STDC
_DEFUN (VSSCANF, (str, fmt, ap), 
    _CONST char *str _AND 
    _CONST char *fmt _AND 
    va_list ap)
#else
VSSCANF (str, fmt, ap)
    _CONST char *str;
    _CONST char *fmt;
    va_list ap;
#endif
{
  return _VSSCANF_R (_REENT, str, fmt, ap);
}

#endif /* _REENT_ONLY */

int
#ifdef _HAVE_STDC
_DEFUN (_VSSCANF_R, (ptr, str, fmt, ap),
    struct _reent *ptr _AND 
    _CONST char *str _AND 
    _CONST char *fmt _AND 
    va_list ap)
#else
_VSCANF_R (ptr, str, fmt, ap)
    struct _reent *ptr;
    _CONST char *str;
    _CONST char *fmt;
    va_list ap;
#endif
{
  FILE f;

  f._flags = __SRD;
  f._bf._base = f._p = (unsigned char *) str;
  f._bf._size = f._r = strlen (str);
  f._read = eofread1;
  f._ub._base = NULL;
  f._lb._base = NULL;
  f._data = ptr;
  return __svfscanf (&f, fmt, ap);    
}

